/*
 Theme Name:   tldevtech
 Description:  tldevtech Child Theme
 Author:       tldevtech
 Template:     astra
 Version:      1.0.0
 Text Domain:  tldevtech
*/



.ast-separate-container .ast-article-post, .ast-separate-container .ast-article-single{
	padding: 0;
}
h2, .entry-content h2{
	font-size: 1.8em;
}
pre{
	padding: 10px;
	border-radius: 5px
}

code{	
    background: #EEEEEE;
    padding: 1px 5px;
}
.wp-block-code code{
	padding: 0;
}
.entry-meta, .entry-meta *{
	color: grey;
}

.entry-content .wp-block-image figcaption{	
	color: #000;
	background: #EEE;
	padding: 0.5em 1em;
	border-radius: 8px;
}

.entry-content .btn {
    color: #ffffff;
    border-color: #0274be;
    background-color: #0274be;
    border-radius: 2px;
    padding-top: 10px;
    padding-right: 40px;
    padding-bottom: 10px;
    padding-left: 40px;
    font-family: inherit;
    font-weight: inherit;
    cursor: pointer;
}
.mt20{
	margin-top: 20px;
}
.mb20{
	margin-bottom: 20px;
}
.my20{
	margin: 20px 0;
}

.ultp-block-excerpt{
	font-size: 15px !important;
}
div.enlighter{
	font-size: 15px !important;
}

.wp-block-post-featured-image.alignwide img{
	max-width: 300px;
}

.ttp-left-col-s{	
	max-width: 320px;	
}

.ttp-left-col-s img{
	max-width: 300px;	
}


.sidebar-main .wp-block-latest-posts__list li img{
	margin-bottom: 1em;
}

header.entry-header .entry-title {
    text-transform: inherit;
}

.wp-block-search__inside-wrapper{
outline-style: none !important;
}
.wp-block-column {
	padding-right: 12px;
}
.no-underline{
	text-decoration: none !important;
}
.tlplugins-list-wrapper{
	display: flex;
   flex-wrap: wrap;
}
.tlplugins-list-wrapper .tlplugins-item{
	flex: 1 1 360px;
}

.border{
	border-radius: 4px;
	border: 1px solid #AAA;
}

@media (max-width: 1200px) {
    .ast-separate-container .ast-comment-list li.depth-1 {
        padding: 3em 3.34em !important;
    }
}

@media (max-width: 768px) {
    .ast-separate-container .ast-comment-list li.depth-1 {
        padding: 0 0.25em !important;
    }
}

@media (max-width: 544px) {
    .ast-separate-container .ast-comment-list li.depth-1 {
        padding: 0 0.25em;
        margin-bottom: 0.25em !important;
    }
}

/*
.c-windows {
    padding: 8px;
    border-radius: 4px;
    border: 1px solid #EEE;
}
.c-windows:before{
	content: "Windows";
	position: absolute;
	margin-top: -20px;
	padding-left: 4px;
	padding-right: 16px;
	background: white;
	font-size: 12px;
}
.c-linux {
    padding: 8px;
    border-radius: 4px;
    border: 1px solid #EEE;
}
.c-linux:before{
	content: "Linux";
	position: absolute;
	margin-top: -20px;
	padding-left: 4px;
	padding-right: 16px;
	background: white;
	font-size: 12px;
}*/
.wp-block-columns .wp-block-column ul{
	margin-left: 12px;
	padding-left: 8px;
}

.post-32988 .wp-block-columns .wp-block-column {
    padding: 8px;
		margin-bottom: 16px;
    border-radius: 4px;
    border-left: 1px solid var(--ast-global-color-6);
}
.post-32988 .wp-block-columns .wp-block-column:first-child:before{
	content: "Windows";
	position: absolute;
	margin-top: -20px;
	font-size: 12px;
	color: #59bef1;
}
.post-32988 .wp-block-columns .wp-block-column:last-child:before{
	content: "Linux";
	position: absolute;
	margin-top: -20px;
	font-size: 12px;
	color: #d1ba83;
}

.te .wp-block-column {
    padding: 8px;
		margin-bottom: 16px;
    border-radius: 4px;
    border-left: 1px solid var(--ast-global-color-6);
}
.te .wp-block-column:first-child:before{
	content: "Before";
	position: absolute;
	margin-top: -24px;
	color: #666666;
}
.te .wp-block-column:last-child:before{
	content: "Now";
	position: absolute;
	margin-top: -24px;
	color: #4CAF50;
}

.dataTables_filter{
	margin-bottom: 1rem;
}